# std::chrono::time_zone::get_info

From cppreference.com
< cpp‎ | chrono‎ | time zone

template<class Duration > std::chrono::sys_info get_info(const std::chrono::sys_time <Duration>& tp) const; |  | (since C++20)
template< class Duration > std::chrono::local_info get_info(const std::chrono::local_time <Duration>& tp) const; |  | (since C++20)

Obtains information about this time zone at the time point `tp`.

### Return value

1) A std::chrono::sys_info structure `i` containing the time zone information in effect for this time zone at the time point `tp`. `tp` will be in the range `[i.begin, i.end)`.
2) A std::chrono::local_info structure containing information about the local time `tp` in this time zone.
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/time_zone/get_info&oldid=104758"